Subject: RFC 4689 vs. ECN

From: Alfred Hönes <[email-masked]>
Date: Tue, 28 Nov 2006 13:14:06 +0100 (MEZ)

Hello,
studying the recently published RFC 4689 (Traffic Ctl Terminology)
authored by you, I found a severe issue with the treatment of ECN.

In Section 3.1.3, at the bottom of page 5, RFC  4689 says:

                 [...].  [Ra99] implies that it is impractical to build
      a black-box test to observe Incipient Congestion.  [Ra99] instead
      introduces Explicit Congestion Notification (ECN) as a
      deterministic Black-Box method for observing Incipient Congestion.
|     [Ra99] is an Experimental RFC with limited deployment, so ECN is
|     not used for this particular methodology.  [...]

and Section 6.2, on page 32, contains the Informative Reference:

   [Ra99] Ramakrishnan, K., Floyd, S., and D. Black, "The Addition of
          Explicit Congestion Notification (ECN) to IP", RFC 3168,
          September 2001.

I suspect that something has gone badly wrong there during updating
of the references:

RFC 3168 is a PROPOSED STANDARD that officially has updated RFC 793,
RFC 2474, and RFC 2401 (the latter update has been incorporated in
the meantime into the successor of RFC 2401, RFC 4301), and hence,
ECN should *not* be ignored in the discussion.

My suspicion has been triggered initially by the formal mismatch of
"Ra99" and the publication month of RFC 3168, "September 2001".
Looking into RFC 3168 and/or the RFC index, it can be seen that
RFC 3168 has obsoleted RFC 2481, which in fact was an EXPERIMENTAL
RFC and has been published in January 1999.

Additionally, ECN has been inluded into further Transport Protocol
specifications on the IETF Standards Track.

The marked statement in the quotation from RFC 4689 perhaps has been
appropriate in the timeframe from 1999 until late 2001, when targeted
to RFC 2481, but it isn't any more, when targeted to RFC 3168.

Altogether, IMHO the quoted text in RFC 4689 is very much outdated,
and it should better have been updated before publication of the
memo as an RFC.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+